This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 708931 - RfE: add trait to as plugins that does the db-availability checking
RfE: add trait to as plugins that does the db-availability checking
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.1
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-30 03:56 EDT by Heiko W. Rupp
Modified: 2011-10-06 15:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2011-05-30 03:56:27 EDT
Add a trait and a respective plugin config property.

Gathering the trait data would issue a "select 1 from dual" or equivalent that was given in the above 
plugin-config-property.


[09:08:10] <kmaslowski> can I monitor oracle database availability (datasources in JBoss) from RHQ?
[09:13:52] <lkrejci> kmaslowski: i think datasources have "Test Connection" operation that you could use
[09:14:13] <kmaslowski> something like "select 1 from dual" to check if database is available
[09:14:27] <kmaslowski> but can I create situation to it?
[09:15:12] <kmaslowski> i don't want to click test database on all my datasources on every minute :-)
[09:15:34] <lkrejci> kmaslowski: you can create a CLI script for that
[09:16:09] <kmaslowski> separate script for every datasource?
[09:16:36] <lkrejci> kmaslowski: no, 1 script that would look for all your datasources, execute the operation on each and write some report out
[09:16:48] <lkrejci> you could schedule a cron job for that
[09:17:12] <kmaslowski> heh so I can't do that from rhq
[09:18:17] <lkrejci> kmaslowski: or I think you can create a group of all your datasources in RHQ UI and then run an operation on them
[09:18:52] <kmaslowski> I will try to do this
[09:39:20] <pilhuhn> Yeah, we could create a trait, that executes the respective "select 1 from dual" as metric taking
[09:42:51] <kmaslowski> yes:-) it would be great:-)

Note You need to log in before you can comment on or make changes to this bug.